# -*- coding: utf-8 -*-
from setuphelpers import *


"""
  {
   "key":"{060FE577-1BDF-4330-ACCA-B6760AB07191}_is1",
   "name":"Clam Sentinel 1.22",
   "version":"",
   "install_date":"2024-03-11 00:00:00",
   "install_location":"C:\\Program Files (x86)\\ClamSentinel\\",
   "uninstall_string":"\"C:\\Program Files (x86)\\ClamSentinel\\unins000.exe\"",
   "publisher":"Andrea Russo - Italy",
   "system_component":0,
   "win64":false
  }
"""
app_uninstallkey = "{060FE577-1BDF-4330-ACCA-B6760AB07191}_is1"


def install():
    install_exe_if_needed(
        "ClamSentinel1.22.exe",
        silentflags="/VERYSILENT /SUPPRESSMSGBOXES /NORESTART",
        key=app_uninstallkey,
        min_version="",
    )
    # Adding QuietUninstallString
    quiet_uninstall_string = installed_softwares(uninstallkey=app_uninstallkey)[0]["uninstall_string"] + " /VERYSILENT /SUPPRESSMSGBOXES /NORESTART"
    register_uninstall(app_uninstallkey, quiet_uninstall_string=quiet_uninstall_string)
